GET /attachments/{attachmentId}
Download an attachment
GET /attachments/{attachmentId}#
Download an attachment
Authentication#
- bearerAuth (http, bearer)
Path parameters#
None.
Query parameters#
None.
Headers#
None.
Responses#
| Status | Description | Content type | Schema | Example |
|---|---|---|---|---|
200 |
Attachment binary | application/octet-stream | string:binary |
— |
404 |
— | — | — |
Examples#
cURL#
curl -X GET "https://api.acme.dev/v1/attachments/123" \
-H "Authorization: Bearer YOUR_TOKEN"
JavaScript#
const response = await fetch("https://api.acme.dev/v1/attachments/123", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
},
});
const data = await response.json();
console.log(data);
TypeScript#
const response = await fetch("https://api.acme.dev/v1/attachments/123", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
},
});
const data = await response.json();
console.log(data);
// Tip: import generated types from your OpenAPI client SDK.